package com.cpms.project.safety.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.cpms.common.annotation.Excel;
import com.cpms.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 洗眼器检查记录对象 t_safety_record
 *
 * @author ruoyi
 * @date 2023-05-25
 */
public class TSafetyRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 洗眼器id */
    private Long washerId;


    private Long devId;

    @Excel(name = "设备类型")
    private String devType;

    @Excel(name = "充装日期")
    private String fillingDate;

    @Excel(name = "位置")
    private String location;
    /** ok/not ok */
    @Excel(name = "ok/not ok",readConverterExp = "1=ok,0=not ok")
    private String status;

    /** 故障描述 */
    @Excel(name = "故障描述")
    private String faultDesc;

    /** 故障解决签名 */
    @Excel(name = "故障解决签名")
    private String faultSloveSign;


    @Excel(name = "措施")
    private String measure;

    /** 检查人 */
    @Excel(name = "检查人")
    private String inspector;

    /** 检查日期 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "检查日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date inspectdate;

    /** 检查状况 */
    @Excel(name = "检查状况")
    private String inspectstatus;

    /** 删除标识 */
    private Integer delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建日期 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date createdate;

    /** 更新人 */
    private String updaterCode;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 附件id */
    @Excel(name = "附件id")
    private String fileIds;

    private Long fireId;

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public Long getDevId() {
        return devId;
    }

    public void setDevId(Long devId) {
        this.devId = devId;
    }

    public String getDevType() {
        return devType;
    }

    public void setDevType(String devType) {
        this.devType = devType;
    }

    public String getFillingDate() {
        return fillingDate;
    }

    public void setFillingDate(String fillingDate) {
        this.fillingDate = fillingDate;
    }

    public Long getFireId() {
        return fireId;
    }

    public void setFireId(Long fireId) {
        this.fireId = fireId;
    }

    public String getMeasure() {
        return measure;
    }

    public void setMeasure(String measure) {
        this.measure = measure;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setWasherId(Long washerId)
    {
        this.washerId = washerId;
    }

    public Long getWasherId()
    {
        return washerId;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setFaultDesc(String faultDesc)
    {
        this.faultDesc = faultDesc;
    }

    public String getFaultDesc()
    {
        return faultDesc;
    }
    public void setFaultSloveSign(String faultSloveSign)
    {
        this.faultSloveSign = faultSloveSign;
    }

    public String getFaultSloveSign()
    {
        return faultSloveSign;
    }
    public void setInspector(String inspector)
    {
        this.inspector = inspector;
    }

    public String getInspector()
    {
        return inspector;
    }
    public void setInspectdate(Date inspectdate)
    {
        this.inspectdate = inspectdate;
    }

    public Date getInspectdate()
    {
        return inspectdate;
    }
    public void setInspectstatus(String inspectstatus)
    {
        this.inspectstatus = inspectstatus;
    }

    public String getInspectstatus()
    {
        return inspectstatus;
    }
    public void setDelFlag(Integer delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setFileIds(String fileIds)
    {
        this.fileIds = fileIds;
    }

    public String getFileIds()
    {
        return fileIds;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("washerId", getWasherId())
            .append("status", getStatus())
            .append("faultDesc", getFaultDesc())
            .append("faultSloveSign", getFaultSloveSign())
            .append("inspector", getInspector())
            .append("inspectdate", getInspectdate())
            .append("inspectstatus", getInspectstatus())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("fileIds", getFileIds())
            .toString();
    }
}
